# $Revision: 1.30 $, $Date: 2012/03/06 16:15:43 $
Summary:	IPv6 address format change and calculation utility
Summary(pl.UTF-8):	Narzędzie do zmiany formatu i przeliczania adresów IPv6
Name:		ipv6calc
Version:	0.93.1
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz
# Source0-md5:	9a5b7fdd1a90cd621dc43623976d912a
URL:		http://www.deepspace6.net/projects/ipv6calc.html
BuildRequires:	GeoIP-devel >= 1.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ipv6calc is a small utility which formats and calculates IPv6
addresses in different ways.

Install this package, if you want to extend the existing address
detection on IPv6 initscript setup or make life easier in adding
reverse IPv6 zones to DNS or using in DNS queries like nslookup -q=ANY
`ipv6calc -r 3ffe:400:100:f101::1/48` See also here for more details:
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%description -l pl.UTF-8
ipv6calc to niewielkie narzędzie formatujące i przeliczające adresy
IPv6 na różne sposoby. Ułatwia życie przy dodawaniu stref odwrotnych
IPv6 do DNS lub odpytywaniu w rodzaju nslookup -q=ANY `ipv6calc -r
3ffe:400:100:f101::1/48`. Więcej szczegółów pod adresem
<http://www.bieringer.de/linux/IPv6/ipv6calc/>.

%prep
%setup -q

%build
%configure \
	--enable-geoip
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
    DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README CREDITS TODO doc/ipv6calc.html ipv6calcweb/ipv6calcweb.cgi
%attr(755,root,root) %{_bindir}/ipv6calc
%attr(755,root,root) %{_bindir}/ipv6loganon
%attr(755,root,root) %{_bindir}/ipv6logconv
%attr(755,root,root) %{_bindir}/ipv6logstats
%{_mandir}/man8/ipv6calc.8*
%{_mandir}/man8/ipv6loganon.8*
%{_mandir}/man8/ipv6logconv.8*
%{_mandir}/man8/ipv6logstats.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipv6calc.spec,v $
Revision 1.30  2012/03/06 16:15:43  kiesiu
- updated to 0.93.1

Revision 1.29  2011/12/06 21:58:12  kiesiu
- updated to 0.92.0
- enabled GeoIP support
- added man pages and unpackaged bin files
- revised BRs

Revision 1.28  2011/05/06 18:08:54  marti
- up to 0.82.1

Revision 1.27  2011/04/12 15:42:34  marti
- up to: 0.82.0

Revision 1.26  2010/10/08 10:52:00  psz
- up to 0.80.0

Revision 1.25  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.23  2006/08/07 22:47:19  darekr
- updated to 0.51, pass CC

Revision 1.22  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.21  2005/04/02 14:19:26  darekr
- BR: perl-base

Revision 1.20  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.19  2004/01/21 17:44:33  domelu
- release 2; STBR Ac

Revision 1.18  2003/11/26 19:23:39  domelu
- up to 0.47

Revision 1.17  2003/11/11 01:12:30  ankry
- caps unification

Revision 1.16  2003/10/11 23:45:58  domelu
- update to 0.46
- add doc/ipv6calc.html

Revision 1.15  2003/09/26 09:06:09  domelu
- fix Source0

Revision 1.14  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:49:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/03/10 09:29:36  mwinkler
- update 0.45
- change URL, STBR

Revision 1.11  2002/08/15 17:21:42  blues
- 0.43 - STBR

Revision 1.10  2002/06/12 00:55:07  kloczek
- cosmetics.

Revision 1.9  2002/06/01 18:05:27  baseciq
- up to ipv6calc-0.41
- new %doc
- updated url's

Revision 1.8  2002/04/25 16:37:25  arturs
fixed a small typo

Revision 1.7  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/02 10:15:26  kloczek
- release 2.

Revision 1.4  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/30 09:58:38  qboosh
- pl translations, cosmetics

Revision 1.2  2001/08/19 15:15:07  kloczek
- cosmetics.

Revision 1.1  2001/08/19 11:45:46  waszi
- initial release
